Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Official thread: "zen-sources" - Part 6
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 15, 16, 17, 18  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
rmh3093
Advocate
Advocate


Joined: 06 Aug 2003
Posts: 2138
Location: Albany, NY

PostPosted: Wed Jul 15, 2009 11:56 pm    Post subject: Reply with quote

rahulthewall wrote:
2.6.31-rc3-zen1 is still unusable with Intel 945 (i915). Screen is flickering as if it is receiving an electric shock.


when? at boot? after X starts?
_________________
Do not meddle in the affairs of wizards, for they are subtle and quick to anger.
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Thu Jul 16, 2009 12:32 am    Post subject: Reply with quote

rmh3093 wrote:

when? at boot? after X starts?


My bad! Only on running X. The framebuffer (KMS) is fine. No flickering there.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 946
Location: Greece

PostPosted: Thu Jul 16, 2009 1:55 pm    Post subject: Reply with quote

rmh3093 wrote:
Holysword wrote:
cheater1034 wrote:
I think 2.6.31-rc2 has a few regressions :O, i can't get it to boot myself (2.6.30 is fine though).

Yeah, same here...

details would help

Its not bootable, and does not give any kind of error message. It just says that it is going to boot the bzImage, gives the referent line from grub.conf, and then does nothing more.
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Back to top
View user's profile Send private message
Need4Speed
Guru
Guru


Joined: 06 Jun 2004
Posts: 497

PostPosted: Thu Jul 16, 2009 2:41 pm    Post subject: Reply with quote

rahulthewall wrote:
2.6.31-rc3-zen1 is still unusable with Intel 945 (i915). Screen is flickering as if it is receiving an electric shock.


Works fine here on my 945GME. Are you using latest libdrm, xserver, and xf86-video-intel?
_________________
2.6.34-rc3 on x86_64 w/ paludis
WM: ratpoison
Term: urxvt, zsh
Browser: uzbl
Email: mutt, offlineimap
IRC: weechat
News: newsbeuter
PDF: apvlv
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Fri Jul 17, 2009 6:56 am    Post subject: Reply with quote

hmm seems reiser4 from 2.6.31-rc3 is broken.
booted fine.. but after normal reboot i've lost one of my partition.
i repaired it with --build-fs option of fsck.reiser4 but many files are currupted.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Fri Jul 17, 2009 7:20 am    Post subject: Reply with quote

Need4Speed wrote:
rahulthewall wrote:
2.6.31-rc3-zen1 is still unusable with Intel 945 (i915). Screen is flickering as if it is receiving an electric shock.


Works fine here on my 945GME. Are you using latest libdrm, xserver, and xf86-video-intel?


Code:

x11-drivers/xf86-video-intel-2.7.1
x11-base/xorg-server-1.6.2-r1
x11-libs/libdrm-2.4.12
media-libs/mesa-7.5_rc4


I rebuilt all these packages, and it still does not do anything.

And big correction, I just saw that the KMS framebuffer also filckers - not as often as X, but it does.

And Need4Speed, are you using KMS?
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Tue Jul 21, 2009 6:57 am    Post subject: Reply with quote

what's about 2.6.30.2 ?
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Jul 21, 2009 6:13 pm    Post subject: Reply with quote

Rion wrote:
what's about 2.6.30.2 ?


++

I'll wait for 2.6.31-rc4+ (or later) until reiser4 works again, a lot of stuff is encrypted on my site and using reiser4

I don't want to take the risk in losing lots of precious data :roll:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
shaumux
l33t
l33t


Joined: 13 May 2005
Posts: 996
Location: Bangalore, India

PostPosted: Wed Jul 22, 2009 9:07 pm    Post subject: Reply with quote

Can you please include this?
http://jusst.de/hg/saa716x
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5720

PostPosted: Thu Jul 23, 2009 10:11 pm    Post subject: Reply with quote

My p54usb crash is gone in 2.6.31rc4-zen1 :)
Now I'm getting dmesg spam of "tx refused but queue active", and the stuff in the git log seems to suggest it won't be fixed for .31 :(
Oh well, at least it's not crashing.
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Thu Jul 23, 2009 10:18 pm    Post subject: Reply with quote

My screen still flickers with -rc4. Seems folks over at Ubuntu 9.10 are having the same problem (945 only it seems).

Tomorrow, I will search if there is a kernel/Xorg bugzilla for it.
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
mantoo
Tux's lil' helper
Tux's lil' helper


Joined: 08 Dec 2007
Posts: 98
Location: Germany

PostPosted: Fri Jul 24, 2009 1:14 pm    Post subject: Reply with quote

Hi,

I would appreciate to see 2.630-zen1 being updated (if there is no reason for not doing that) as i just came across that on lkml.org:
Quote:

Date Sun, 19 Jul 2009 21:08:13 -0700
From Greg KH <>
Subject Linux 2.6.30.2

I'm announcing the release of the 2.6.30.2 kernel. All users of the
2.6.30 kernel series are very strongly encouraged to upgrade.

I'll also be replying to this message with a copy of the patch between
2.6.30.1 and 2.6.30.2 (http://lkml.org/lkml/2009/7/20/3)


Thanks in advance,
mantoo
Back to top
View user's profile Send private message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Fri Jul 24, 2009 1:57 pm    Post subject: Reply with quote

hi mantoo, if you have particular issues with zen1 and want checkout a newer kernel I can suggest you in the meantime to try checkin' out master-2.6.30: there's already a zen2 testing and next patches will be submitted by zen developers in that head ;)

and remember that weekend has started :D
Back to top
View user's profile Send private message
mantoo
Tux's lil' helper
Tux's lil' helper


Joined: 08 Dec 2007
Posts: 98
Location: Germany

PostPosted: Fri Jul 24, 2009 2:39 pm    Post subject: Reply with quote

ponciarello wrote:
hi mantoo, if you have particular issues with zen1 and want checkout a newer kernel I can suggest you in the meantime to try checkin' out master-2.6.30: there's already a zen2 testing and next patches will be submitted by zen developers in that head ;)


not having any issues with 2.6.30-zen1 as it´s running flawlessly for me; but last time i tried 2.6.31-rcX i had that flickering-problem too, so i decided to wait until this is being fixed.

thanks 4 your advise though - gonna give it a try this weekend
Back to top
View user's profile Send private message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Thu Jul 30, 2009 2:03 pm    Post subject: Reply with quote

just to say I am trying 2.6.30-zen2 on a E4 EStation with a tesla board (used for chemical cuda computations) :)
bad thing klive counts only the xeon cpus and not gpus :lol:

EDIT: 2.6.30-zen2 is not out yet, this is only the testing stuff in git.


Last edited by ponciarello on Thu Jul 30, 2009 8:30 pm; edited 3 times in total
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Thu Jul 30, 2009 3:02 pm    Post subject: Reply with quote

ponciarello wrote:
just to say I am trying 2.6.30-zen2 on a E4 EStation with a tesla board (used for chemical cuda computations) :)



can you please post the normal zen2 patch here?
i need it to move on from zen1.
thanks!
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
ponciarello
Apprentice
Apprentice


Joined: 22 Jul 2008
Posts: 223
Location: beach of slack

PostPosted: Thu Jul 30, 2009 3:45 pm    Post subject: Reply with quote

there's no official 2.6.30-zen2 patch: I've diffed it from git, checking out master-2.6.30, as I told mantoo some messages ago.
also zen people don't like others to post unofficial patches (on which they offer no support).
Back to top
View user's profile Send private message
GD
Tux's lil' helper
Tux's lil' helper


Joined: 11 May 2005
Posts: 134
Location: Greece

PostPosted: Sat Aug 01, 2009 3:08 am    Post subject: Reply with quote

hello...

i was wondering whether it's possible to patch zen-sources to make them xen-hypervisor aware (so that they can be used to build a xen host kernel)
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Sun Aug 02, 2009 6:44 pm    Post subject: Reply with quote

2.6.30-zen3 released :O
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Aug 02, 2009 7:03 pm    Post subject: Reply with quote

cheater1034 wrote:
2.6.30-zen3 released :O


Finally ! :)

Thanks guys :D
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Sun Aug 02, 2009 7:42 pm    Post subject: Reply with quote

cheater1034 wrote:
2.6.30-zen3 released :O
drivers/gpu/drm/i915/i915_gem_tiling.c:119: error: implicit declaration of function 'pnp_range_reserved'
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
cheater1034
Veteran
Veteran


Joined: 09 Sep 2004
Posts: 1558

PostPosted: Sun Aug 02, 2009 9:17 pm    Post subject: Reply with quote

Rion wrote:
cheater1034 wrote:
2.6.30-zen3 released :O
drivers/gpu/drm/i915/i915_gem_tiling.c:119: error: implicit declaration of function 'pnp_range_reserved'


You can try copying the whole drivers/gpu directory from 2.6.30.4 vanilla, there were changes made upstream that are incompatible with updates rmh made previously :O
_________________
IRC!: #zen-sources on irc.rizon.net
zen-kernel.org
--
Lost in android development land.
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Mon Aug 03, 2009 8:44 am    Post subject: Reply with quote

cheater1034 wrote:
Rion wrote:
cheater1034 wrote:
2.6.30-zen3 released :O
drivers/gpu/drm/i915/i915_gem_tiling.c:119: error: implicit declaration of function 'pnp_range_reserved'


You can try copying the whole drivers/gpu directory from 2.6.30.4 vanilla, there were changes made upstream that are incompatible with updates rmh made previously :O
i just checked 2.6.30-gentoo-r4 and it has another drm code. at least with gentoo sources i can compile x11-drm-99999999 but with zen's - nothing.
i can make more tests in 6 hours.
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Ant P.
Watchman
Watchman


Joined: 18 Apr 2009
Posts: 5720

PostPosted: Mon Aug 03, 2009 12:36 pm    Post subject: Reply with quote

I take back that last post, it's not fixed at all. :?

Going to try it with a vanilla kernel and see if that works.

Update: -rc5 is fine. Will try messing with config settings later to see if that's the problem.

Update again: Never mind... vanilla crashed eventually too.
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 376
Location: Ekaterinburg, Russia

PostPosted: Tue Aug 04, 2009 5:04 pm    Post subject: Reply with quote

okay. i now know why drm code is broken in 2.6.30-zen3. its updated only in gpu/drm dir but actually needs some more kernel sources changes.
at least this patch http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-jaunty.git;a=commitdiff;h=3533af638b8e149568fd3d6cdbbb4a384674f170
and part(everything not on drm dir) of this http://article.gmane.org/gmane.linux.fbdev.devel/13982

i'm still trying to compile it.

UPD: yeah! with these two patches kernel is compiled fine! :)

UPD2: just started glxgears. it shows less fps but visually it works much better :) i have 00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 15, 16, 17, 18  Next
Page 16 of 18

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum